/* The following options are described in HomeworkOptionsAnnotated.sas in compass.
   Please refer to that file to determine which settings you wish to use or modify
   for your report.
*/
*ods html close;
*options nodate nonumber leftmargin=1in rightmargin=1in;
*title;
*ods escapechar="~";
*ods graphics on / width=4in height=3in;
*ods rtf file='FileNameWithFullPath.rtf'
        nogtitle startpage=no;
*ods noproctitle;

/* The raw data in tae.data is from

   http://archive.ics.uci.edu/ml/datasets/Teaching+Assistant+Evaluation
    
   from the UCI Machine Learning Repository. 

   Dua, D. and Graff, C. (2019). UCI Machine Learning Repository [http://archive.ics.uci.edu/ml]. 
   Irvine, CA: University of California, School of Information and Computer Science. 
*/

ods rtf file='/folders/myfolders/sasuser.v94/Homeworks/HW2/HW2Result.rtf'; 
ods text="The following results are the outputs generated from HW2.";

data taevals;
	length nativeEnglish $ 3 semester $ 7 scoregroup $ 6;
	infile "/folders/myfolders/sasuser.v94/Homeworks/HW2/tae.data" dlm="," missover;
	input nE instructor course smstr size scgrp;
	/* nE, smstr and scgrp are the original numeric values
	   for the categories in the data set. They are replaced
	   by the more descriptive character variables nativeEnglish, 
	   semester and scoregroup in the created SAS data set */
	if nE = 1 then nativeEnglish='yes';
		else nativeEnglish='no';
	if smstr = 1 then semester='Summer';
		else semester='Regular';
	if scgrp=1 then scoregroup='Low';
	if scgrp=2 then scoregroup='Medium';
	if scgrp=3 then scoregroup='High';
	keep nativeEnglish semester scoregroup;
run;

/* The raw data in seeds_dataset.txt is from

   http://archive.ics.uci.edu/ml/datasets/seeds 

   Dua, D. and Graff, C. (2019). 
   UCI Machine Learning Repository [http://archive.ics.uci.edu/ml]. 
   Irvine, CA: University of California, School of Information and Computer Science. 
*/
data seeds;
	* modify the file path to match the location of your data files, 
	  then change the path back before submitting your final code;
	infile '/folders/myfolders/sasuser.v94/Homeworks/HW2/seeds_dataset.txt' expandtabs;
	input area perimeter compactness length width 
		asymmetry groovelength variety $;
	if variety = '1' then variety = 'Kama';
	if variety = '2' then variety = 'Rosa';
 	if variety = '3' then variety = 'Canadian';
run;


* Exercise 1: ;
	ods text="Exercise 1: A student at UW-Madison is considering taking a Statistics course shortly after these TA evaluations were given.
        The student wonders if there is any relationship between TA ratings and whether the TA is a native English
        speaker (e.g. do native or non-native speakers tend to receive higher evaluation scores)." ;

		* a) Construct a contingency table for nativeEnglish and scoregroup and comment on any apparent
		associations between the TA evaluation score groups and native English speaking. If there appear to be
		associations, note how native speaking and score groups seem to be associated. ;
			ods text=" a) 0 cells (.0%) have expected count less than 5. The minimum expected count is 9.41." ;
			ods text=" b) Computed only for a PxP table, where P must be greater than 1." ;

			/* Determining the association differences */
			proc crosstabs data;
				tables = 












