/* Solution code for Homework 1 in Stat 448 at 
  University of Illinois, Spring 2021 
*/
ods html close; 
options nodate nonumber leftmargin=1in rightmargin=1in;
title;
ods escapechar="~";
ods rtf file='/folders/myfolders/hw/hw1/HW1Solution.rtf' 
	nogtitle startpage=no;
ods noproctitle;

data skulls;
	* modify the file path to match the location of your data files, 
	  then change the path back before submitting your final code;
	infile '/folders/myfolders/handbook3/datasets/skulls.dat' expandtabs;
	input epoch mb bh bl nh;
run;

* Exercise 1;
* a;
proc univariate data=skulls;
	var mb;
	ods select BasicMeasures Moments;
run;
* b;
proc sort data=skulls;
	by epoch;
run;
proc univariate data=skulls;
	var mb;
	by epoch;
	where epoch in (1,3,5);
	ods select BasicMeasures Moments;
run;
* Exercise 2;
* a;
proc univariate data=skulls normal;
	var mb;
	histogram/normal;
	probplot;
	ods select Histogram ProbPlot TestsForNormality;
run;
* b;
proc univariate data=skulls normal;
	var mb;
	histogram/normal;
	probplot;
	by epoch;
	where epoch in (1,3);
	ods select Histogram ProbPlot TestsForNormality;
run;
* Exercise 3;
* a;
proc ttest data=skulls h0=136 sides=lower;
	var mb;
	ods select TTests;
run;
* b;
proc npar1way data=skulls wilcoxon;
	class epoch;
	where epoch in (1,3);
	var mb;
	ods exclude KruskalWallisTest;
run;
* Exercise 4;
* a;
proc corr data=skulls;
	var mb bh bl nh;
	ods select PearsonCorr;
run;
* b;
proc corr data=skulls;
	var mb bh bl nh;
	by epoch;
	where epoch in (1,5);
	ods select PearsonCorr;
run;
	
ods rtf close;
